Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 207137 - cannot open gnome
Summary: cannot open gnome
Status: VERIFIED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-23 09:40 UTC by coolone
Modified: 2008-01-26 10:38 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description coolone 2008-01-23 09:40:08 UTC
Cannot open Gnome...seems the problem caused by xorg, but i checked dmesg | tail , i got some error info, but i dont know what does error info mean?

Reproducible: Always

Actual Results:  
cat /var/x11/xorg.0.log | grep EE 

(WW) warning, (EE) error, (NI) not implemented, (??) unknown. 
(II) Loading extension MIT-SCREEN-SAVER 


dmesg | tail 
scim-panel-gtk[6351]: segfault at 0000000000000000 rip 00002b0692d3732a rsp 00007fff19b14d90 error 6 
gnome-session[6382]: segfault at 0000000000000000 rip 00002ae22abb932a rsp 00007fff84389170 error 6 
gnome-session[6575]: segfault at 0000000000000000 rip 00002ac031de332a rsp 00007fff7d15f720 error 6 
gnome-session[6631]: segfault at 0000000000000000 rip 00002ad4722ac32a rsp 00007fff3cc95260 error 6 
gnome-session[6662]: segfault at 0000000000000000 rip 00002ac27c76a32a rsp 00007fff327d6da0 error 6 
scim-panel-gtk[6701]: segfault at 0000000000000000 rip 00002acad334e32a rsp 00007fffd94fd740 error 6 
scim-panel-gtk[6830]: segfault at 0000000000000000 rip 00002b27c316a32a rsp 00007fffe96e1920 error 6 
gnome-session[6877]: segfault at 0000000000000000 rip 00002b2f0b09432a rsp 00007fffa3eaf470 error 6 
scim-panel-gtk[6920]: segfault at 0000000000000000 rip 00002ba392ef332a rsp 00007fff19958bb0 error 6 
gnome-session[6957]: segfault at 0000000000000000 rip 00002b1c9d6cf32a rsp 00007fff11873e30 error 6
Comment 1 Rémi Cardona gentoo-dev 2008-01-23 09:45:49 UTC
please give us the following info

- emerge --info
- emerge -pv gtk+ gdm xorg-server
Comment 2 coolone 2008-01-23 11:14:26 UTC
emerge --info

emerge --info
Portage 2.1.4_rc14 (default-linux/amd64/2007.0/desktop, gcc-4.1.2,
glibc-2.6.1-r0, 2.6.23.9 x86_64)
=================================================================
System uname: 2.6.23.9 x86_64 AMD Athlon(tm) 64 Processor 3000+
Timestamp of tree: Thu, 03 Jan 2008 07:00:01 +0000
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.4.4-r6, 2.5.1-r4
sys-apps/baselayout: 1.12.10-r5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT=""
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf
/etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/
/etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo
/etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages metadata-transfer parallel-fetch sandbox
sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
--force --whole-file --delete --delete-after --stats --timeout=180
--exclude=/distfiles --exclude=/local --exclude=/packages
--filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa amd64 apache apache2 avahi avi berkdb bitmap-fonts cairo
cdr chardet cli cracklib crypt cups dbus dlloader dri dvd dvdr dvdread eds
emboss encode esd evo fam firefox fortran gdbm gif gnome gpm gstreamer gtk gtk2
hal iconv immqt ipv6 isdnlog jpeg kerberos ldap libg++ mad midi mikmod mmx mp3
mpeg mplayer mudflap ncurses nls nptl nptlonly ogg opengl openmp openoffice oss
pam pcre pdf perl php png ppds pppd python qt3support quicktime readline
reflection sdl session spell spl sse sse2 ssl svg tcpd tiff truetype
truetype-fonts type1-fonts udev unicode v4l v4l2 vorbis wav win32codec wma wmv
xcb xml xorg xv zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym
copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat
linear meter mulaw multi null plug rate route share shm softvol"
APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm
authn_default authn_file authz_dbm authz_default authz_groupfile authz_host
authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir
disk_cache env expires ext_filter file_cache filter headers include info
log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling
status unique_id userdir usertrack vhost_alias" ELIBC="glibc"
INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz
cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU"
VIDEO_CARDS="nvidia nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS,
LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 coolone 2008-01-23 11:15:23 UTC
cannot emerge xorg-server
mv -f .deps/dpmsstubs.Tpo .deps/dpmsstubs.Po
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../../include    -DHAVE_DIX_CONFIG_H -DNO_HW_ONLY_EXTS -DNO_MODULE_EXTS -DXFree86Server  -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -fno-strict-aliasing -D_BSD_SOURCE -DHAS_FCHOWN -DHAS_STICKY_DIR_BIT -I/usr/include/freetype2   -I../../include -I../../include -I../../Xext -I../../composite -I../../damageext -I../../xfixes -I../../Xi -I../../mi -I../../miext/shadow  -I../../miext/damage -I../../render -I../../randr -I../../fb -march=athlon64 -O2 -pipe -MT stubs.o -MD -MP -MF .deps/stubs.Tpo -c -o stubs.o `test -f '../../Xi/stubs.c' || echo './'`../../Xi/stubs.c
mv -f .deps/stubs.Tpo .deps/stubs.Po
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../../include    -DHAVE_DIX_CONFIG_H -DNO_HW_ONLY_EXTS -DNO_MODULE_EXTS -DXFree86Server  -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -fno-strict-aliasing -D_BSD_SOURCE -DHAS_FCHOWN -DHAS_STICKY_DIR_BIT -I/usr/include/freetype2   -I../../include -I../../include -I../../Xext -I../../composite -I../../damageext -I../../xfixes -I../../Xi -I../../mi -I../../miext/shadow  -I../../miext/damage -I../../render -I../../randr -I../../fb -march=athlon64 -O2 -pipe -MT miinitext.o -MD -MP -MF .deps/miinitext.Tpo -c -o miinitext.o `test -f '../../mi/miinitext.c' || echo './'`../../mi/miinitext.c
mv -f .deps/miinitext.Tpo .deps/miinitext.Po
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../../include    -DHAVE_DIX_CONFIG_H -DNO_HW_ONLY_EXTS -DNO_MODULE_EXTS -DXFree86Server  -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -fno-strict-aliasing -D_BSD_SOURCE -DHAS_FCHOWN -DHAS_STICKY_DIR_BIT -I/usr/include/freetype2   -I../../include -I../../include -I../../Xext -I../../composite -I../../damageext -I../../xfixes -I../../Xi -I../../mi -I../../miext/shadow  -I../../miext/damage -I../../render -I../../randr -I../../fb -march=athlon64 -O2 -pipe -MT fbcmap.o -MD -MP -MF .deps/fbcmap.Tpo -c -o fbcmap.o `test -f '../../fb/fbcmap.c' || echo './'`../../fb/fbcmap.c
mv -f .deps/InitOutput.Tpo .deps/InitOutput.Po
rm -f Xvfb.1
ln -s Xvfb.man Xvfb.1
mv -f .deps/fbcmap.Tpo .deps/fbcmap.Po
/bin/sh ../../libtool --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc -DHAVE_DIX_CONFIG_H -DNO_HW_ONLY_EXTS -DNO_MODULE_EXTS -DXFree86Server  -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -fno-strict-aliasing -D_BSD_SOURCE -DHAS_FCHOWN -DHAS_STICKY_DIR_BIT -I/usr/include/freetype2   -I../../include -I../../include -I../../Xext -I../../composite -I../../damageext -I../../xfixes -I../../Xi -I../../mi -I../../miext/shadow  -I../../miext/damage -I../../render -I../../randr -I../../fb -march=athlon64 -O2 -pipe  -Wl,-z,lazy -o Xvfb InitInput.o InitOutput.o dpmsstubs.o stubs.o miinitext.o fbcmap.o ../../dix/libdix.la ../../fb/libfb.la ../../mi/libmi.la ../../xfixes/libxfixes.la ../../Xext/libXext.la ../../dbe/libdbe.la ../../XTrap/libxtrap.la ../../record/librecord.la ../../GL/glx/libglx.la ../../GL/mesa/libGLcore.la -lpthread ../../render/librender.la ../../randr/librandr.la ../../damageext/libdamageext.la ../../miext/damage/libdamage.la ../../miext/cw/libcw.la ../../miext/shadow/libshadow.la ../../Xi/libXi.la ../../xkb/libxkb.la ../../xkb/libxkbstubs.la ../../composite/libcomposite.la ../../dix/libxpstubs.la ../../os/libcwrapper.la ../../os/libos.la -lm  -lXfont -lXau -lfontenc -lXdmcp    -lm    -lm 
mkdir .libs
x86_64-pc-linux-gnu-gcc -DHAVE_DIX_CONFIG_H -DNO_HW_ONLY_EXTS -DNO_MODULE_EXTS -DXFree86Server -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -fno-strict-aliasing -D_BSD_SOURCE -DHAS_FCHOWN -DHAS_STICKY_DIR_BIT -I/usr/include/freetype2 -I../../include -I../../include -I../../Xext -I../../composite -I../../damageext -I../../xfixes -I../../Xi -I../../mi -I../../miext/shadow -I../../miext/damage -I../../render -I../../randr -I../../fb -march=athlon64 -O2 -pipe -Wl,-z -Wl,lazy -o Xvfb InitInput.o InitOutput.o dpmsstubs.o stubs.o miinitext.o fbcmap.o  ../../dix/.libs/libdix.a ../../fb/.libs/libfb.a ../../mi/.libs/libmi.a ../../xfixes/.libs/libxfixes.a ../../Xext/.libs/libXext.a ../../dbe/.libs/libdbe.a ../../XTrap/.libs/libxtrap.a ../../record/.libs/librecord.a ../../GL/glx/.libs/libglx.a ../../GL/mesa/.libs/libGLcore.a -lpthread ../../render/.libs/librender.a ../../randr/.libs/librandr.a ../../damageext/.libs/libdamageext.a ../../miext/damage/.libs/libdamage.a ../../miext/cw/.libs/libcw.a ../../miext/shadow/.libs/libshadow.a ../../Xi/.libs/libXi.a ../../xkb/.libs/libxkb.a ../../xkb/.libs/libxkbstubs.a ../../composite/.libs/libcomposite.a ../../dix/.libs/libxpstubs.a ../../os/.libs/libcwrapper.a ../../os/.libs/libos.a /usr/lib64/libXfont.so /usr/lib64/libfreetype.so /usr/lib64/libXau.so /usr/lib64/libfontenc.so -lz /usr/lib64/libXdmcp.so -lm  
../../Xext/.libs/libXext.a(panoramiX.o): In function `PanoramiXExtensionInit':
panoramiX.c:(.text+0x2066): relocation truncated to fit: R_X86_64_GOTPCREL against symbol `PanoramiXPolyRectangle' defined in .text section in ../../Xext/.libs/libXext.a(panoramiXprocs.o)
collect2: ld returned 1 exit status
make[3]: *** [Xvfb] Error 1
make[3]: Leaving directory `/var/tmp/portage/x11-base/xorg-server-1.3.0.0-r4/work/xorg-server-1.3.0.0/hw/vfb'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/x11-base/xorg-server-1.3.0.0-r4/work/xorg-server-1.3.0.0/hw/vfb'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/x11-base/xorg-server-1.3.0.0-r4/work/xorg-server-1.3.0.0/hw'
make: *** [all-recursive] Error 1
 [31;01m*[0m 
 [31;01m*[0m ERROR: x11-base/xorg-server-1.3.0.0-r4 failed.
 [31;01m*[0m Call stack:
 [31;01m*[0m          ebuild.sh, line 1701:  Called dyn_compile
 [31;01m*[0m          ebuild.sh, line 1039:  Called qa_call 'src_compile'
 [31;01m*[0m          ebuild.sh, line   44:  Called src_compile
 [31;01m*[0m          ebuild.sh, line 1383:  Called x-modular_src_compile
 [31;01m*[0m   x-modular.eclass, line  348:  Called x-modular_src_make
 [31;01m*[0m   x-modular.eclass, line  343:  Called die
 [31;01m*[0m The specific snippet of code:
 [31;01m*[0m   	emake || die "emake failed"
 [31;01m*[0m  The die message:
 [31;01m*[0m   emake failed
 [31;01m*[0m 
 [31;01m*[0m If you need support, post the topmost build error, and the call stack if relevant.
 [31;01m*[0m A complete build log is located at '/var/tmp/portage/x11-base/xorg-server-1.3.0.0-r4/temp/build.log'.
 [31;01m*[0m 
Comment 4 Rémi Cardona gentoo-dev 2008-01-23 11:42:45 UTC
Alright, this is getting out of hand.

Please do an emerge --sync followed by an emerge -DuN world.

Once this is done, please reopen this bug with the requested version numbers.

Thanks
Comment 5 coolone 2008-01-23 18:11:25 UTC
emerge -pv gtk+ gdm xorg-server [I dont use gdm]

These are the packages that would be merged, in order:

Calculating dependencies   ... done!
[ebuild     U ] x11-base/xorg-server-1.3.0.0-r4 [1.3.0.0-r2] USE="dri ipv6 nptl sdl xorg (-3dfx) -debug -dmx -kdrive -minimal -xprint" INPUT_DEVICES="evdev keyboard mouse -acecad -aiptek -calcomp -citron -digitaledge -dmc -dynapro -elo2300 -elographics -fpit -hyperpen -jamstudio -joystick -magellan -microtouch -mutouch -palmax -penmount -spaceorb -summa -synaptics -tek4957 -ur98 -vmmouse -void -wacom" VIDEO_CARDS="nv nvidia -apm -ark -chips -cirrus -cyrix -dummy -epson -fbdev -fglrx -glint -i128 (-i740) -i810 (-impact) (-imstt) -mach64 -mga -neomagic (-newport) (-nsc) -r128 -radeon -rendition -s3 -s3virge -savage -siliconmotion -sis -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -vesa -vga -via -vmware -voodoo" 0 kB 
[ebuild   R   ] x11-libs/gtk+-2.12.1-r2  USE="X cups jpeg tiff -debug -doc -vim-syntax -xinerama" 0 kB 
[ebuild   R   ] gnome-base/gdm-2.20.2  USE="ipv6 pam tcpd -accessibility -afs -branding -debug -dmx -remote (-selinux) -xinerama" 0 kB 

Total: 3 packages (1 upgrade, 2 reinstalls), Size of downloads: 0 kB
Comment 6 coolone 2008-01-23 18:11:43 UTC
(In reply to comment #4)
> Alright, this is getting out of hand.
> Please do an emerge --sync followed by an emerge -DuN world.
> Once this is done, please reopen this bug with the requested version numbers.
> Thanks

OKey, thank you
Comment 7 coolone 2008-01-23 22:24:17 UTC
Hi Rémi Cardona
I have done emerge --sync and emerge -uDN world
everythings fine, just x11-base/xorg-server-1.3.0.0-r4 failed
the error info as above i submitted.
and the problem still same and happening
dmesg | tail 
scim-panel-gtk[6351]: segfault at 0000000000000000 rip 00002b0692d3732a rsp
00007fff19b14d90 error 6 
gnome-session[6382]: segfault at 0000000000000000 rip 00002ae22abb932a rsp
00007fff84389170 error 6 
gnome-session[6575]: segfault at 0000000000000000 rip 00002ac031de332a rsp
00007fff7d15f720 error 6 
gnome-session[6631]: segfault at 0000000000000000 rip 00002ad4722ac32a rsp
00007fff3cc95260 error 6 
gnome-session[6662]: segfault at 0000000000000000 rip 00002ac27c76a32a rsp
00007fff327d6da0 error 6 
scim-panel-gtk[6701]: segfault at 0000000000000000 rip 00002acad334e32a rsp
00007fffd94fd740 error 6 
scim-panel-gtk[6830]: segfault at 0000000000000000 rip 00002b27c316a32a rsp
00007fffe96e1920 error 6 
gnome-session[6877]: segfault at 0000000000000000 rip 00002b2f0b09432a rsp
00007fffa3eaf470 error 6 
scim-panel-gtk[6920]: segfault at 0000000000000000 rip 00002ba392ef332a rsp
00007fff19958bb0 error 6 
gnome-session[6957]: segfault at 0000000000000000 rip 00002b1c9d6cf32a rsp
00007fff11873e30 error 6

if i remove scim, the error goes to conky or gnome-session

gnome-session[2807]: segfault at 0000000000000000 rip 00002b8cc56df32a rsp 00007fffe9863df0 error 6
conky[14767]: segfault at 0000000000000000 rip 00002b8266ce632a rsp 00007fff47b74910 error 6
conky[14993]: segfault at 0000000000000000 rip 00002b2a3e18032a rsp 00007fff706d87e0 error 6
gnome-session[16442]: segfault at 0000000000000000 rip 00002b21b230c32a rsp 00007ffffcc35200 error 6

plz help. many thanks.
Comment 8 Rémi Cardona gentoo-dev 2008-01-23 22:29:25 UTC
Could you try running gnome session from GDM?

Thanks
Comment 9 coolone 2008-01-24 07:00:11 UTC
thanks a lot for your help so far.
sorry, once i open gdm. the screen flash.
i've been using gentoo 1 and half year...
1st happened like that..
Comment 10 Rémi Cardona gentoo-dev 2008-01-24 07:05:56 UTC
Try using the "vesa" driver in xorg-server's /etc/X11/xorg.conf
Comment 11 coolone 2008-01-24 07:26:12 UTC
yesterday i did emerge --sync & emerge -uDN world
maybe one of those package caused current problem ...
Here's some clues..............

--------------------------------------------------------------------------

Jan 23 18:51:16 localhost fc-cache[26326]: segfault at 0000000000000000 rip 00002ae86e9a232a rsp 00007fff3c56a5b0 error 6
Jan 23 18:54:26 localhost (llloolll-14349): starting (version 2.20.1), pid 14349 user 'llloolll'
Jan 23 18:54:26 localhost (llloolll-14349): Resolved address "xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration source at position 0
Jan 23 18:54:26 localhost (llloolll-14349): Resolved address "xml:readwrite:/home/llloolll/.gconf" to a writable configuration source at position 1
Jan 23 18:54:26 localhost (llloolll-14349): Resolved address "xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source at position 2
Jan 23 18:54:56 localhost (llloolll-14349): GConf server is not in use, shutting down.
Jan 23 18:54:56 localhost (llloolll-14349): Exiting
Jan 23 18:58:48 localhost (llloolll-15932): starting (version 2.20.1), pid 15932 user 'llloolll'
Jan 23 18:58:48 localhost (llloolll-15932): Resolved address "xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration source at position 0
Jan 23 18:58:48 localhost (llloolll-15932): Resolved address "xml:readwrite:/home/llloolll/.gconf" to a writable configuration source at position 1
Jan 23 18:58:48 localhost (llloolll-15932): Resolved address "xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source at position 2
Jan 23 18:58:49 localhost totem[15924]: segfault at 0000000000000000 rip 00002b186cb9332a rsp 00007fff439ac380 error 6
Jan 23 18:59:18 localhost (llloolll-15932): GConf server is not in use, shutting down.
Jan 23 18:59:18 localhost (llloolll-15932): Exiting
Jan 23 18:59:26 localhost (llloolll-16425): starting (version 2.20.1), pid 16425 user 'llloolll'
Jan 23 18:59:26 localhost (llloolll-16425): Resolved address "xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration source at position 0
Jan 23 18:59:26 localhost (llloolll-16425): Resolved address "xml:readwrite:/home/llloolll/.gconf" to a writable configuration source at position 1
Jan 23 18:59:26 localhost (llloolll-16425): Resolved address "xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source at position 2
Jan 23 18:59:28 localhost python[16441]: segfault at 0000000000000000 rip 00002aaf483a732a rsp 00007fff66f68410 error 6
Jan 23 18:59:56 localhost (llloolll-16425): GConf server is not in use, shutting down.
Jan 23 18:59:56 localhost (llloolll-16425): Exiting
Jan 23 19:00:02 localhost audacious[16881]: segfault at 0000000000000000 rip 00002ba726ea232a rsp 00007fff885218d0 error 6
Jan 23 19:00:59 localhost python[17616]: segfault at 0000000000000000 rip 00002b0a6631532a rsp 00007fff48ffa420 error 6
Jan 23 19:01:42 localhost (llloolll-18290): starting (version 2.20.1), pid 18290 user 'llloolll'
Jan 23 19:01:42 localhost (llloolll-18290): Resolved address "xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration source at position 0
Jan 23 19:01:42 localhost (llloolll-18290): Resolved address "xml:readwrite:/home/llloolll/.gconf" to a writable configuration source at position 1
Jan 23 19:01:42 localhost (llloolll-18290): Resolved address "xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source at position 2
Jan 23 19:01:45 localhost gnome-terminal[18287]: segfault at 0000000000000000 rip 00002b51d162532a rsp 00007fffe025d490 error 6
Jan 23 19:02:12 localhost (llloolll-18290): GConf server is not in use, shutting down.
Jan 23 19:02:12 localhost (llloolll-18290): Exiting
Jan 23 19:02:58 localhost sudo:     llloolll : TTY=pts/2 ; PWD=/home/llloolll ; USER=root ; COMMAND=/usr/bin/emerge -avuDN world
Jan 23 19:04:01 localhost sudo:     llloolll : TTY=pts/4 ; PWD=/home/llloolll ; USER=root ; COMMAND=/usr/bin/vi /etc/portage/package.keywords
Jan 23 19:04:26 localhost (llloolll-10974): starting (version 2.20.1), pid 10974 user 'llloolll'
Jan 23 19:04:26 localhost (llloolll-10974): Resolved address "xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration source at position 0
Jan 23 19:04:26 localhost (llloolll-10974): Resolved address "xml:readwrite:/home/llloolll/.gconf" to a writable configuration source at position 1
Jan 23 19:04:26 localhost (llloolll-10974): Resolved address "xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source at position 2
Jan 23 19:04:56 localhost (llloolll-10974): GConf server is not in use, shutting down.
Jan 23 19:04:56 localhost (llloolll-10974): Exiting
Jan 23 19:07:32 localhost (llloolll-6320): starting (version 2.20.1), pid 6320 user 'llloolll'
Jan 23 19:07:32 localhost (llloolll-6320): Resolved address "xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration source at position 0
Jan 23 19:07:32 localhost (llloolll-6320): Resolved address "xml:readwrite:/home/llloolll/.gconf" to a writable configuration source at position 1
Jan 23 19:07:32 localhost (llloolll-6320): Resolved address "xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source at position 2
Jan 23 19:07:34 localhost gnome-terminal[6258]: segfault at 0000000000000000 rip 00002b365d2e832a rsp 00007fff54599370 error 6
Jan 23 19:07:49 localhost Terminal[11570]: segfault at 0000000000000000 rip 00002b6439e8232a rsp 00007fff74b9b330 error 6
Jan 23 19:07:49 localhost exo-helper-0.3[11500]: segfault at 0000000000000000 rip 00002b66c754132a rsp 00007fffe71cab00 error 6
Jan 23 19:08:02 localhost (llloolll-6320): GConf server is not in use, shutting down.
Jan 23 19:08:02 localhost (llloolll-6320): Exiting
Jan 23 19:08:51 localhost (llloolll-507): starting (version 2.20.1), pid 507 user 'llloolll'
Jan 23 19:08:51 localhost (llloolll-507): Resolved address "xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration source at position 0
Jan 23 19:08:51 localhost (llloolll-507): Resolved address "xml:readwrite:/home/llloolll/.gconf" to a writable configuration source at position 1
Jan 23 19:08:51 localhost (llloolll-507): Resolved address "xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source at position 2
Jan 23 19:08:53 localhost stardict[373]: segfault at 0000000000000000 rip 00002b50cb19632a rsp 00007fffe492b4f0 error 6
Jan 23 19:09:45 localhost gimp[18739]: segfault at 0000000000000000 rip 00002ab12cb9432a rsp 00007fff81094d10 error 6
Jan 23 19:09:51 localhost (llloolll-507): GConf server is not in use, shutting down.
Jan 23 19:09:51 localhost (llloolll-507): Exiting
Jan 23 19:13:59 localhost scim-bridge: Cleanup, done. Exitting...
Jan 23 19:14:04 localhost acpid: client connected from 22639[0:10
-----------------------------------------------------------------------

seems i cannot open any program. i remerged GTK+, but it doesnt work
Comment 12 Rémi Cardona gentoo-dev 2008-01-24 09:02:59 UTC
Honestly, I have no clue about what's going on on your system.

Could you at least tell us what works, how you start gnome, what applications you use (I see you have scim in your logs)... Right now, we're in the dark as to what you're actually doing, and what's really breaking.

You could also try running startx from a console and running simple gtk apps and/or firefox from there to see if they work or not.

You'll have to try simple things first before moving on to bigger problems.

Thanks
Comment 13 Steev Klimaszewski (RETIRED) gentoo-dev 2008-01-24 09:21:33 UTC
I would suggest running memtest on your machine.... or if possible, testing with another processor... I've seen similar segfaults that were hardware related.
Comment 14 coolone 2008-01-24 09:37:49 UTC
thank you very much guys for your help
Comment 15 coolone 2008-01-24 10:10:34 UTC
(In reply to comment #12)
> Honestly, I have no clue about what's going on on your system.
> 
> Could you at least tell us what works, how you start gnome, what applications
> you use (I see you have scim in your logs)... Right now, we're in the dark as
> to what you're actually doing, and what's really breaking.
> 
> You could also try running startx from a console and running simple gtk apps
> and/or firefox from there to see if they work or not.
> 
> You'll have to try simple things first before moving on to bigger problems.
> 
> Thanks
> 

thank you very much.
actually i dont use gnome, i normally use fluxbox, yesterday i upgraded packages, that time i was on Fluxbox, suddenly i found i cannot open any gtk apps, most apps cannot work, so i logged off fluxbox, and wanted to open gnome, 
i found i cannot open any X any more. 
i dont use gdm, normally i use command "startx" to open fluxbox or GNOME. at this moment, i cannot open X, so i cannot open any gtk apps. i re-merged gtk+, but useless.
what i think might be the hardware problem ....not sure.
anyway,thank you very much for your help.
Comment 16 Rémi Cardona gentoo-dev 2008-01-24 10:29:39 UTC
Try running revdep-rebuild (in the app-portage/gentoolkit package) ... if you've just updated gnutls, that may be an issue even with gtk apps.
Comment 17 coolone 2008-01-25 00:34:15 UTC
(In reply to comment #16)
> Try running revdep-rebuild (in the app-portage/gentoolkit package) ... if
> you've just updated gnutls, that may be an issue even with gtk apps.

i did, revdep-rebuild but no error found.

here is what i upgraded on 23rd JAN

[0m     Wed Jan 23 17:35:41 2008 >>>[1;32m dev-libs/pth-2.0.7-r1
[0m     Wed Jan 23 17:35:45 2008 >>>[1;32m app-admin/eselect-ctags-1.3
[0m     Wed Jan 23 17:36:07 2008 >>>[1;32m dev-util/ctags-5.7
[0m     Wed Jan 23 17:39:44 2008 >>>[1;32m sys-apps/man-pages-2.75
[0m     Wed Jan 23 17:40:58 2008 >>>[1;32m dev-libs/libgpg-error-1.6
[0m     Wed Jan 23 17:43:22 2008 >>>[1;32m dev-libs/libcdio-0.78.2-r4
[0m     Wed Jan 23 17:46:55 2008 >>>[1;32m sys-apps/busybox-1.8.2
[0m     Wed Jan 23 17:48:27 2008 >>>[1;32m dev-libs/libtasn1-1.2
[0m     Wed Jan 23 17:55:54 2008 >>>[1;32m x11-proto/xf86dgaproto-2.0.3
[0m     Wed Jan 23 17:58:18 2008 >>>[1;32m x11-libs/libXfont-1.3.1-r1
[0m     Wed Jan 23 17:58:37 2008 >>>[1;32m x11-apps/sessreg-1.0.3
[0m     Wed Jan 23 17:58:56 2008 >>>[1;32m x11-apps/xprop-1.0.3
[0m     Wed Jan 23 17:59:30 2008 >>>[1;32m x11-libs/libXxf86dga-1.0.2
[0m     Wed Jan 23 18:00:26 2008 >>>[1;32m app-crypt/opencdk-0.6.6
[0m     Wed Jan 23 18:12:15 2008 >>>[1;32m net-libs/gnutls-2.0.4
[0m     Wed Jan 23 18:34:37 2008 >>>[1;32m x11-base/xorg-server-1.3.0.0-r4
[0m     Wed Jan 23 18:35:04 2008 >>>[1;32m app-crypt/pinentry-0.7.4-r1
[0m     Wed Jan 23 18:39:58 2008 >>>[1;32m x11-plugins/enigmail-0.95.5-r2
[0m     Wed Jan 23 18:49:20 2008 >>>[1;32m net-p2p/amule-2.1.3
[0m     Wed Jan 23 18:49:24 2008 >>>[1;32m app-admin/eselect-fontconfig-1.0
[0m     Wed Jan 23 18:51:19 2008 >>>[1;32m media-libs/fontconfig-2.5.0-r1
[0m     Wed Jan 23 19:13:41 2008 >>>[1;32m media-gfx/gimp-2.4.3
[0m     Wed Jan 23 19:26:17 2008 >>>[1;32m sys-auth/consolekit-0.2.3
[0m     Wed Jan 23 19:51:53 2008 >>>[1;32m x11-drivers/nvidia-drivers-100.14.19
[0m     Wed Jan 23 23:01:33 2008 >>>[1;32m app-i18n/scim-1.4.7
[0m     Wed Jan 23 23:21:09 2008 >>>[1;32m x11-base/xorg-server-1.3.0.0-r2

and when i emerging nvidia-drivers 
i got this infomation: 
QA Notice: USE flag 'xf86-fbsd ' not in IUSE 
------------------------------------------------
i am wondering if the problem caused by this ?

thank you very much , i really appreciate your help
Comment 18 Rémi Cardona gentoo-dev 2008-01-25 09:22:15 UTC
Judging by the version numbers you've provided, I'm starting to wonder if you are mixing "amd64" packages with "~amd64" packages. If so, that might be the source of your problems.

Could you attach your /etc/portage/package.use ?
Comment 19 coolone 2008-01-25 10:28:33 UTC
here's my  /etc/portage/package.use



media-fonts/wqy-bitmapfont X
app-admin/conky truetype audacious -ipv6
x11-wm/fluxbox imlib
net-im/gaim msn
media-sound/audacious linguas_ja linguas_ko linguas_zh_CN linguas_zh_TW
media-video/mplayer xvid real 3dnow 3dnowext aac amr cdparanoia cpudetection dv dvb dvdread musepack samba x264 a52
dev-util/subversion -nowebdav
x11-libs/cairo glitz pdf png
x11-wm/compiz dbus svg
media-gfx/gimp svg tiff
dev-lang/php apache apache2 cgi ftp mysql ctype pcre session unicode
www-servers/apache apache2
net-dialup/slmodem -alsa -usb
net-ftp/pure-ftpd mysql vchroot
www-client/mozilla-firefox java mozbranding
dev-java/sun-jre-bin nsplugin
dev-java/blackdown-jre nsplugin
dev-java/blackdown-jdk nsplugin
sys-block/gparted fat hfs jfs ntfs reiser4 reiserfs xfs
sys-fs/ntfsprogs fuse
media-video/realplayer nsplugin
media-plugins/audacious-plugins aac wavpack 
x11-misc/vnc2swf x11vnc 
idev-libs/gmime mono
net-im/pidgin qq msn
dev-libs/gmime mono
www-client/elinks javascript
x11-libs/cairo newspr glitz svg png
x11-libs/libXft newspr
app-mobilephone/wammu bluetooth linguas_zh_CN
app-mobilephone/gammu bluetooth
dev-libs/openobex bluetooth
app-misc/mc slang
dev-cpp/gtkmm accessibility
sys-apps/pciutils -zlib
net-misc/openssh -ldap
x11-libs/libX11 xcb
app-admin/conky vim-syntax
media-libs/mesa nptl
dev-lang/python sqlite
media-sound/exaile mad
Comment 20 Rémi Cardona gentoo-dev 2008-01-25 10:32:10 UTC
I meant package.keywords ... need coffee!
Comment 21 coolone 2008-01-25 21:04:36 UTC
OKEY. NO PROB. thank you for your help .
here is my keywords:

app-admin/conky
x11-terms/eterm
app-i18n/scim
app-i18n/scim-pinyin
media-sound/alsa-driver
=sys-fs/fuse-2.7.1
=x11-themes/gnome-themes-2.20.2
=media-fonts/acroread-asianfonts-7.0.8
media-gfx/gimp
=dev-libs/glib-2.14.4
=x11-libs/libxklavier-3.3
=x11-libs/gtksourceview-2.0.2
=games-strategy/wormux-0.7.9
=gnome-base/gdm-2.20.2
=x11-terms/gnome-terminal-2.18.3
=x11-libs/vte-0.16.10
=gnome-extra/evolution-data-server-1.12.2-r1
=gnome-extra/zenity-2.20.1
=app-arch/file-roller-2.20.2
=gnome-extra/gtkhtml-3.16.2
=gnome-extra/gtkhtml-2.11.1
=www-client/epiphany-2.20.2
=net-libs/libsoup-2.2.104
=media-gfx/eog-2.20.3
=gnome-extra/deskbar-applet-2.20.2
=gnome-extra/gnome-games-2.20.2
=x11-libs/libxsettings-client-0.10
=media-libs/win32codecs-20071007-r2
=media-fonts/fireflysung-1.3.0
=dev-libs/gnome-build-0.1.7
=dev-libs/gdl-0.7.6
=dev-python/gnome-python-2.20.1
=media-sound/alsa-headers-1.0.15
=net-www/nspluginwrapper-0.9.91.5
app-dicts/stardict
=net-misc/gwget-0.99
=app-dicts/stardict-oxford-en-zh-gb-2.4.2
=net-misc/blogtk-1.1
=media-gfx/picasa-2.2.2820.5
=gnome-extra/avant-window-navigator-extras-0.2.1-r1
=x11-themes/xcursor-neutral-1.20
=net-libs/libgmail-0.1.8
=sys-apps/portage-2.1.4_rc14
app-i18n/scim-bridge
=media-video/nvidia-settings-169.04
=net-news/liferea-1.4.9
=media-plugins/gst-plugins-fluendo-mpegdemux-0.10.4
=media-libs/gstreamer-0.10.15
=app-cdr/nero-3.0.1.3
=net-misc/gnome-blog-0.9.1
=media-gfx/fontforge-20071002
=sys-apps/pciutils-2.2.8
=media-video/camorama-0.19
=media-sound/gnomeradio-1.7
=app-editors/bluefish-1.0.7
=app-editors/screem-0.16.1
=media-gfx/blender-2.45
=sys-fs/udev-117 
=dev-libs/dbus-glib-0.74
=dev-python/dbus-python-0.82.3
x11-misc/googleearth
=dev-java/blackdown-jdk-1.4.2.03-r16
=media-libs/amd64codecs-20071007
media-video/mplayer
=x11-misc/vnc2swf-0.5.0
=media-sound/ardour-2.0.5
=media-video/lives-0.9.8.6
=x11-misc/glipper-1.0
=dev-libs/libmcs-0.6.0
=media-sound/soundconverter-0.9.6
=media-plugins/gst-plugins-taglib-0.10.6-r1
=net-misc/axel-1.0b-r2
net-im/pidgin
=x11-plugins/pidgin-otr-3.1.0
=net-libs/libotr-3.1.0
=games-strategy/freecol-0.7.2
=media-libs/freetype-2.3.5-r2
=x11-misc/xchm-1.13-r1
=media-video/ffmpeg-0.4.9_p20070616-r2
=gnome-base/libgnomekbd-2.20.0-r1
net-im/emesene
=net-p2p/transmission-1.0.0
=dev-lang/python-2.5.1-r4
=app-text/poppler-0.5.91
=media-libs/gst-plugins-base-0.10.15
=media-libs/gstreamer-0.10.15
=games-fps/nexuiz-2.3
=app-emulation/vmware-workstation-6.0.2.59824
=app-emulation/vmware-modules-1.0.0.17
=dev-cpp/libsexymm-0.1.9
=x11-libs/libview-0.5.6-r1
games-fps/americas-army
=dev-libs/libmowgli-0.5.0
=dev-libs/libmcs-0.6.0
=media-gfx/gqview-2.1.5
=gnome-extra/avant-window-navigator-0.2.1-r1
=gnome-extra/avant-window-navigator-extras-0.2.1
=media-sound/alsa-utils-1.0.15
=media-libs/alsa-lib-1.0.15
=media-libs/gst-plugins-ugly-0.10.6-r1
=media-sound/audacious-1.4.4
=media-plugins/audacious-plugins-1.4.2
=dev-dotnet/libgdiplus-1.2.6
=dev-lang/mono-1.2.6
=x11-misc/xvidcap-1.1.6-r2
=sys-apps/baselayout-1.12.10-r5
app-text/chmsee
=app-text/gnomesword-2.3.1-r1
=app-text/sword-1.5.10

yes, i've been using some "~amd64" package.
I hope this is the problem, then the clue can help to fix "X"
Comment 22 coolone 2008-01-25 21:10:25 UTC
Wed Jan 23 17:55:54 2008 >>>[1;32m x11-proto/xf86dgaproto-2.0.3 
Wed Jan 23 17:59:30 2008 >>>[1;32m x11-libs/libXxf86dga-1.0.2 

if i remove these two packages, when i emerging nvidia-drivers, i would not have this message: 
"QA Notice: USE flag 'xf86-fbsd ' not in IUSE " 

Could you tell me, if xf86dgaproto and libXxf86dga belongs to 'xf86-fbsd' this keyword? do u think these two are necessary, if not i think i can remove it
thank you
Comment 23 Rémi Cardona gentoo-dev 2008-01-25 22:47:09 UTC
Honestly, you're mixing waaay too many ~ packages with stable ones. I still don't have a clue where this is coming from. You'll have to figure this one on your own.

Start with simple steps, see what works what doesn't and move from there. That's your only way out, short of reinstalling from scratch or moving entirely to ~amd64.

Thanks for understanding
Comment 24 Rémi Cardona gentoo-dev 2008-01-25 22:47:35 UTC
reopening
Comment 25 coolone 2008-01-26 00:59:28 UTC
thanks a lot for your suggestion, i am removing all ~amd64 packages, and trying to emerge -e world..
thank you again for helping during these days :)
Comment 26 coolone 2008-01-26 03:20:21 UTC
one more question, sorry to bother.. i have unmerged all ~amd64 packages, and the problem still happening. but one thing is when i did 'fc-cache -f -v'  i got a error message like this: /usr/share/fonts/corefont: segmentation fault i just wanna ask if the font folder got segmentation fault, can this problem cause X segmentation fault? thanks a lot, i know i been asking too many question. sorry about that
Comment 27 coolone 2008-01-26 07:58:36 UTC
HI Rémi Cardona  
i am pleased to tell you, i have fixed this problem
the problem due to i updated two packages.

app-admin/eselect-fontconfig-1.0
media-libs/fontconfig-2.5.0-r1

because i have a customized font folder, contained some microsoft fonts.
as i mentioned i found this clue :

/usr/share/fonts/corefont: segmentation fault

so i removed corefont folder, my X come back....

thank you for been helping me, i really appreciated.


Comment 28 Gilles Dartiguelongue gentoo-dev 2008-01-26 10:38:21 UTC
congrats for finding this and thanks for droping a line on what was wrong.